--~ local topColor = ThemeColor('LightColorMain'..ReadPref("Themes/Cerulean Skies/Preferences/","ThemeColor"))
local Text = ...
assert( Text );

return Def.ActorFrame{
	-- main header background
	LoadActor("Header " .. ReadPref("Themes/Cerulean Skies/Preferences/","ThemeColor")) .. { 
        InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;vertalign,top);
    };
	LoadActor("Header " .. ReadPref("Themes/Cerulean Skies/Preferences/","ThemeColor")) .. { 
        InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;vertalign,top;blend,'BlendMode_Add';cropright,1);
        OnCommand=cmd(diffusealpha,0.25;cropright,1;decelerate,0.5;cropright,0;decelerate,2.5;diffusealpha,0;sleep,3;queuecommand,"On");
        OffCommand=cmd(finishtweening);
--~         RepeatCommand=cmd(sleep,3;queuecommand,"On");
    };
    -- Flash Blox --
--[[ 	LoadActor("Common menu header") .. { 
        InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;vertalign,top;);
        BeginCommand=cmd(croptop,(154-30)/154;cropbottom,8/154;diffuseramp;effectcolor2,color("#00aeef00");effectcolor1,color("#00aeefFF");effecttiming,0.5,0,0.5,1;effectclock,'bgm');
    };
	LoadActor("Common menu header") .. { 
        InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;vertalign,top;);
        BeginCommand=cmd(croptop,(154-30)/154;cropbottom,8/154;diffuseramp;effectcolor2,color("#fdb41500");effectcolor1,color("#fdb415FF");effecttiming,0.5,0,0.5,1;effectoffset,1;effectclock,'bgm');
    };
	LoadActor("Common menu header") .. { 
        InitCommand=cmd(zoomtowidth,SCREEN_WIDTH;vertalign,top;);
        BeginCommand=cmd(croptop,(154-30)/154;cropbottom,8/154;diffuseramp;effectcolor2,color("#00ff0000");effectcolor1,color("#00ff00FF");effecttiming,0.5,0,0.5,3;effectoffset,3;effectclock,'bgm');
    }; --]]
--[[     LoadActor(THEME:GetPathG("MenuTimer","frame")) .. {
        InitCommand=cmd(
        x,(THEME:GetMetric("ScreenWithMenuElements","TimerX")/2)-32;
        y,32);
    }; --]]
    LoadFont("Pixel") .. {
        Text="Time Remaining";
        InitCommand=cmd(x,(THEME:GetMetric("ScreenWithMenuElements","TimerX")/2)-32;y,40);
        BeginCommand=cmd(shadowlength,0;diffusetopedge,ThemeColor('LightColorMain'..ReadPref("Themes/Cerulean Skies/Preferences/","ThemeColor")));
    };
	LoadFont("Header") ..{
		Text=THEME:GetString( 'Headers', Text );
		InitCommand=cmd(vertalign,top;horizalign,left;shadowlength,1;x,-SCREEN_WIDTH/2+16;y,4;diffusebottomedge,0.8,0.8,0.8,1);
		OnCommand=cmd(linear,0.25;diffusealpha,1);
		OffCommand=cmd(linear,0.25;diffusealpha,0);
	};
	LoadFont("Common") ..{
		Text=THEME:GetString( 'HeaderSubText', Text );
		InitCommand=cmd(vertalign,top;horizalign,left;zoom,0.75;shadowlength,1;x,-SCREEN_WIDTH/2+16;y,26.5;);
		OnCommand=cmd(linear,0.25;diffusealpha,1);
		OffCommand=cmd(linear,0.25;diffusealpha,0);
	};
};